#! /usr/bin/python3

import subprocess
import trio


async def main():
    """Main."""
    cmd1 = ("echo", "foo")
    cmd2 = ("./desc_stdin.py",)
    async with await trio.open_process(cmd1, stdout=subprocess.PIPE) as p1:
        async with await trio.open_process(
            cmd2, stdin=p1.stdout, stderr=subprocess.PIPE, stdout=subprocess.DEVNULL
        ) as p2:
            async with p2.stderr:
                async for data in p2.stderr:
                    print(f"p2 stderr: {data=}")
    print("main end")


if __name__ == "__main__":
    trio.run(main)
